Package org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl

# Class DifferenceFilterRegistryImpl

java.lang.Object
org.eclipse.emf.compare.rcp.ui.internal.structuremergeviewer.filters.impl.DifferenceFilterRegistryImpl

All Implemented Interfaces:
  `IDifferenceFilter.Registry`

public class DifferenceFilterRegistryImpl extends Object implements IDifferenceFilter.Registry
The default implementation of the `IDifferenceFilter.Registry`.

Since:
  4.0

## Constructor Summary

Constructors
Constructor
Description
`DifferenceFilterRegistryImpl(DifferenceFilterManager filterManager)`
Constructs the registry.

## Method Summary

Modifier and Type
Method
Description
`IDifferenceFilter`
`add(IDifferenceFilter filter)`
Add to the registry the given `IDifferenceFilter`.
`void`
`clear()`
Clear the registry.
`List<IDifferenceFilter>`
`getFilters(IComparisonScope scope, Comparison comparison)`
Returns the list of `IDifferenceFilter` contained in the registry.
`IDifferenceFilter`
`remove(String className)`
Remove from the registry the `IDifferenceFilter` designated by the given `String` .

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DifferenceFilterRegistryImpl

public DifferenceFilterRegistryImpl(DifferenceFilterManager filterManager)
Constructs the registry.

## Method Details

### getFilters

public List<IDifferenceFilter> getFilters(IComparisonScope scope, Comparison comparison)
Returns the list of `IDifferenceFilter` contained in the registry.

Specified by:
  `getFilters` in interface `IDifferenceFilter.Registry`
Parameters:
  `scope` - The scope on which the filters will be applied.
  `comparison` - The comparison which is to be displayed in the structural view.
Returns:
  The list of `IDifferenceFilter` contained in the registry.
See Also:
  - `IDifferenceFilter.Registry.getFilters(org.eclipse.emf.compare.scope.IComparisonScope, org.eclipse.emf.compare.Comparison)`

### add

public IDifferenceFilter add(IDifferenceFilter filter)
Add to the registry the given `IDifferenceFilter`.

Specified by:
  `add` in interface `IDifferenceFilter.Registry`
Parameters:
  `filter` - The given `IDifferenceFilter`.
Returns:
  The previous value associated with the class name of the given `IDifferenceFilter`, or null if there was no entry in the registry for the class name.
See Also:
  - `IDifferenceFilter.Registry.add(org.eclipse.emf.compare.rcp.ui.structuremergeviewer.filters.IDifferenceFilter)`

### remove

public IDifferenceFilter remove(String className)
Remove from the registry the `IDifferenceFilter` designated by the given `String` .

Specified by:
  `remove` in interface `IDifferenceFilter.Registry`
Parameters:
  `className` - The given `String` representing a `IDifferenceFilter`.
Returns:
  The `IDifferenceFilter` designated by the given `String`.
See Also:
  - `IDifferenceFilter.Registry.remove(java.lang.String)`

### clear

public void clear()
Clear the registry.

Specified by:
  `clear` in interface `IDifferenceFilter.Registry`
See Also:
  - `IDifferenceFilter.Registry.clear()`